dbXML API

## com.dbxml.db.common.query
Class QueryResolverBase

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.common.query.QueryResolverBase

All Implemented Interfaces:
  Configurable, QueryResolver

Direct Known Subclasses:
  FullTextQueryResolver, XPathQueryResolver, XSLTQueryResolver, XUpdateQueryResolver

public abstract class QueryResolverBase
extends SimpleConfigurable
implements QueryResolver

QueryResolverBase

Constructor Summary
`QueryResolverBase()`

Method Summary
`Query` `compileQuery(Collection context, java.lang.String query, NamespaceMap nsMap, Key[] keys)` compileQuery compiles a Query against the specified Collection context and returns the compiled Query.
`abstract QueryBase` `createQuery(Collection context, java.lang.String query, NamespaceMap nsMap, Key[] keys)`
`ResultSet` `query(Transaction tx, Collection context, java.lang.String query, NamespaceMap nsMap, Key[] keys)` query compiles a Query against the specified Collection context and returns the query results.
`void` `setQueryEngine(QueryEngine engine)` setQueryEngine hands a reference for the QueryEngine to the Resolver.

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig, setConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.db.core.query.QueryResolver
`getQueryStyle`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig, setConfig`

Constructor Detail

### QueryResolverBase

    public QueryResolverBase()

Method Detail

### setQueryEngine

    public void setQueryEngine(QueryEngine engine)

  Description copied from interface: `QueryResolver`
  setQueryEngine hands a reference for the QueryEngine to the Resolver.

  Specified by:
    `setQueryEngine` in interface `QueryResolver`
  Parameters:
    `engine` - The QueryEngine

### compileQuery

    public Query compileQuery(Collection context,
                              java.lang.String query,
                              NamespaceMap nsMap,
                              Key[] keys)
                       throws QueryException

  Description copied from interface: `QueryResolver`
  compileQuery compiles a Query against the specified Collection context and returns the compiled Query. This DOES NOT actually run the query, merely just parses it and primes any possible Indexers that the query might need.

  Specified by:
    `compileQuery` in interface `QueryResolver`
  Parameters:
    `context` - The Collection Context
    `query` - The Query
    `nsMap` - The namespace Map (if any)
    `keys` - The initial Key set to use (if any)
  Returns:
    The compiled Query
  Throws:
    `QueryException`

### query

    public ResultSet query(Transaction tx,
                           Collection context,
                           java.lang.String query,
                           NamespaceMap nsMap,
                           Key[] keys)
                    throws QueryException

  Description copied from interface: `QueryResolver`
  query compiles a Query against the specified Collection context and returns the query results.

  Specified by:
    `query` in interface `QueryResolver`
  Parameters:
    `tx` - The controlling Transaction
    `context` - The Collection Context
    `query` - The Query
    `nsMap` - The namespace Map (if any)
    `keys` - The initial Key set to use (if any)
  Returns:
    The resulting ResultSet
  Throws:
    `QueryException`

### createQuery

    public abstract QueryBase createQuery(Collection context,
                                          java.lang.String query,
                                          NamespaceMap nsMap,
                                          Key[] keys)
                                   throws QueryException

  Throws:
    `QueryException`

dbXML API

Copyright (c) 2004 The dbXML Group